import request from '@/utils/request'

// 路线详情日历列表
export function getSelectRouteDetailList(query) {
  return request({
    url: '/sfa/route/selectRouteDetailList',
    method: 'get',
    params: query
  })
}

// 根据日期用户id查询路线拜访门店详情
export function getSelectRouteDetailStoreList(query) {
  return request({
    url: '/sfa/route/selectRouteDetailStoreList',
    method: 'get',
    params: query
  })
}
// 查询新增线路人员列表接口
export function getSelectUserRouteList(query) {
  return request({
    url: '/sfa/route/selectUserRouteList',
    method: 'get',
    params: query
  })
}
// 线路交换
export function postExchangeRoute(query) {
  return request({
    url: '/sfa/route/exchangeRoute',
    method: 'post',
    params: query
  })
}
// 线路编辑
export function getEditRouteList(query) {
  return request({
    url: '/sfa/route/editRouteList',
    method: 'post',
    params: query
  })
}
// 添加拜访门店列表
export function getSelectVisitStoreList(query) {
  return request({
    url: '/sfa/route/selectVisitStoreList',
    method: 'get',
    params: query
  })
}
// 添加拜访门店
export function postAddRouteStore(query) {
  return request({
    url: '/sfa/route/addRouteStore',
    method: 'post',
    params: query
  })
}
// 删除人员排线
export function postDeleteUserRoute(query) {
  return request({
    url: '/sfa/route/deleteUserRoute',
    method: 'post',
    params: query
  })
}
// 上移、下移
export function postMoveUserRoute(query) {
  return request({
    url: '/sfa/route/moveUserRoute',
    method: 'post',
    params: query
  })
}
// 根据拜访规则生成人员门店拜访详细记录
export function createRouteDetails(query) {
  return request({
    url: '/sfa/route/createRouteDetails',
    method: 'post',
    params: query
  })
}
